
Foreman - Bug #9189

Organization doesn't take into consideration parents from nested names

02/02/2015 08:42 AM - cristian falcas

Status: New   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

For hostgroup, in case of a nested hostgroup, the name is: hostgroup: Role/base

For organization, this is not the same. For nested organization names (Others/user), the exported name is only "user". This is not

consistent with the hostgroup. Also I think it may lead to problems with hiera in case there is an organization "user" and one named

"Others/user" (didn't test it).

History

#1 - 02/05/2015 04:18 AM - Dominic Cleal

- Project changed from Plugins to Foreman

- Category set to Organizations and Locations

I take it you mean in the ENC YAML output?

#2 - 02/05/2015 04:44 AM - cristian falcas

Yes.
